const _S                             = require("nv-server-simple-stream").http.simple;
const _cmmn                          = require("nv-remote-user-local-eng")._cmmn;
const _err_bsc                       = require("nv-error-basic");
const {is_ary}                       = require("nv-facutil-basic");
const {
    extract_route_and_api_name_from_filename
} = require("nv-cli-route");

const [
   _ROUTE,
   _API_NAME
] = extract_route_and_api_name_from_filename(__filename);



const _func                          = require("../func");

module.exports = async(D,res,srv) => {
    let [cond,err] = await srv.validate_(D,_ROUTE,srv);
    if(cond) {
        let body           = _cmmn.buf2json(D.body);
        let reply_pair     = await srv[_API_NAME](body);
        let r              = await _S.reply_with_json(res,reply_pair);
        return(r)
    } else {
        let r = await _S.reply_with_json(res,[false,err]);
        //let r = await _S.reply_with_json_br(D,res,[false,err]);
        return(r)
    }
}
